Skip to main content
POST
/
eol
/
check
curl --location --request POST 'https://edb-prod.xeol.io/eol/check' \
--data-raw '{
  "component": {
      "name": "Go",
      "ecosystem": "generic",
      "version": "1.15"
  }
}'
{
  "error": null,
  "result": {
    "componentName": "Go",
    "ecosystem": "generic",
    "version": {
      "id": "cv_92UqG6FZu2uoxebKZs5bcEN8CFoqPGC6bx62kn4fzEwr",
      "version": "1.15",
      "componentId": "c_3qrajMUJoCZLzbYxCA6wxfo1W1nDPTLvr5PMJKuYiFks",
      "releasedAt": "2020-08-11T00:00:00.000Z",
      "createdAt": "2024-03-15T17:00:19.685Z",
      "updatedAt": "2024-03-15T17:00:19.685Z"
    },
    "eol": {
      "now": {
        "primary": {
          "reason": "vendor_announced",
          "date": "2021-08-16T00:00:00.000Z",
          "supportLevel": "STANDARD_SUPPORT",
          "isDefault": true
        },
        "other": []
      },
      "future": null
    },
    "lifecycles": [{
      "id": "life_Hukr1PH1ir9XMmDomzZ4j1hAurbWnJfTr4Hs6i4XZtkJ",
      "eolAt": "2021-08-16T00:00:00.000Z",
      "componentId": "c_3qrajMUJoCZLzbYxCA6wxfo1W1nDPTLvr5PMJKuYiFks",
      "range": "~1.15",
      "supportLevel": "STANDARD_SUPPORT",
      "isDefault": true,
      "uri": null,
      "eolField": "eolAt",
      "isEol": null,
      "componentVersionId": "cv_92UqG6FZu2uoxebKZs5bcEN8CFoqPGC6bx62kn4fzEwr",
      "lifecycleId": "life_Hukr1PH1ir9XMmDomzZ4j1hAurbWnJfTr4Hs6i4XZtkJ"
    }],
    "registry": null
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.xeol.io/llms.txt

Use this file to discover all available pages before exploring further.

Body

component
object
required
An identifier to determine an entity’s EOL status. Only one of the following can be provided: cpe, purl, custom.
lifecycle
string
The field takes a support ID to match against. If not provided, it will default to STANDARD_SUPPORT which is the base level of support for any entity.STANDARD_SUPPORT is defined as the base support level in which security updates are provided for the entity.

Response

eol
boolean
Whether the matched entity is end-of-life.
eol_reason
string
The reason the entity was marked as deprecated. Can be one of VENDOR_ANNOUNCED, REGISTRY_DEPRECATED, or SOURCE_ARCHIVED.
eol_date
string
The end-of-life date for the matched entity.
match
object
Information about the match.
found_support
boolean
Whether the entity support was found.
request
object
The request that triggered this response.
evidence
object
Evidence supporting the eol status.
curl --location --request POST 'https://edb-prod.xeol.io/eol/check' \
--data-raw '{
  "component": {
      "name": "Go",
      "ecosystem": "generic",
      "version": "1.15"
  }
}'
{
  "error": null,
  "result": {
    "componentName": "Go",
    "ecosystem": "generic",
    "version": {
      "id": "cv_92UqG6FZu2uoxebKZs5bcEN8CFoqPGC6bx62kn4fzEwr",
      "version": "1.15",
      "componentId": "c_3qrajMUJoCZLzbYxCA6wxfo1W1nDPTLvr5PMJKuYiFks",
      "releasedAt": "2020-08-11T00:00:00.000Z",
      "createdAt": "2024-03-15T17:00:19.685Z",
      "updatedAt": "2024-03-15T17:00:19.685Z"
    },
    "eol": {
      "now": {
        "primary": {
          "reason": "vendor_announced",
          "date": "2021-08-16T00:00:00.000Z",
          "supportLevel": "STANDARD_SUPPORT",
          "isDefault": true
        },
        "other": []
      },
      "future": null
    },
    "lifecycles": [{
      "id": "life_Hukr1PH1ir9XMmDomzZ4j1hAurbWnJfTr4Hs6i4XZtkJ",
      "eolAt": "2021-08-16T00:00:00.000Z",
      "componentId": "c_3qrajMUJoCZLzbYxCA6wxfo1W1nDPTLvr5PMJKuYiFks",
      "range": "~1.15",
      "supportLevel": "STANDARD_SUPPORT",
      "isDefault": true,
      "uri": null,
      "eolField": "eolAt",
      "isEol": null,
      "componentVersionId": "cv_92UqG6FZu2uoxebKZs5bcEN8CFoqPGC6bx62kn4fzEwr",
      "lifecycleId": "life_Hukr1PH1ir9XMmDomzZ4j1hAurbWnJfTr4Hs6i4XZtkJ"
    }],
    "registry": null
  }
}